# Open

|             |                                                           |
| ----------- | --------------------------------------------------------- |
| id          | com.naviga.openArticle                                    |
| description | Open article in Writer application, requires article uuid |

If Writer application is running in the same workspace as the plugin calling the action, the article will be opened in the writer application tied to that workspace.

{% tabs %}
{% tab title="Hook" %}

```javascript
import { Plugin, Utility } from '@root'

const MyAwesomeComponent = props => {
    const openArticle = Utility.useLazyRef(() => {
        return Plugin.getAction('your-bounded-action-id')
    })
    
    openArticle.current({
        uuid: '838d42cf-507a-c701-f46d-6cd0a738cca4'
    })
}
```

{% endtab %}

{% tab title="Class" %}

```javascript
import { Component } from 'react'
import { Plugin } from '@root'

class MyAwesomeComponent extends Component {
    constructor(props) {
        super(props)
        
        this.openArticle = null
    }
    
    componentDidMount() {
        const openArticleAction = Plugin.getAction('your-bounded-action-id')
        this.openArticle = openArticleAction
    }
    
    /** 
        const article = {
            uuid: '838d42cf-507a-c701-f46d-6cd0a738cca4'
        }
        
        this.openArticle(article)
    */
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
If you call openArticle action while Writer plugin is not mounted, The requested article will open in a new tab
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-writer/5.1.2-1/developer/develop-with-writer/open.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
